
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                template="//layout/template.xhtml">
    <ui:define name="head">
        <h:outputStylesheet library="stylesheet" name="resultStyle.css"/>
    </ui:define>
    <ui:define name="body">
        #{transactionInstanceDisplay.initSelectedInstance()}
        <s:decorate template="/messages/transactionInstanceDisplay.xhtml">
            <ui:param name="managedBean" value="#{transactionInstanceDisplay}"/>
            <ui:define name="requestContent">

                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active">
                        <a href="#requestxml" aria-controls="requestxml" role="tab" data-toggle="tab">#{messages['gazelle.svs.MessageContentXML']})</a>
                    </li>
                    <h:panelGroup rendered="#{not transactionInstanceDisplay.isSoapMessage()}">
                        <li role="presentation">
                            <a href="#requesttext" aria-controls="requesttext" role="tab" data-toggle="tab">#{messages['gazelle.svs.MessageContentHTML']})</a>
                        </li>
                    </h:panelGroup>

                    <h:panelGroup rendered="#{transactionInstanceDisplay.isSoapMessage()}">
                        <li role="presentation">
                            <a href="#requesthtml" aria-controls="requesthtml" role="tab" data-toggle="tab">#{messages['gazelle.svs.MessageContentHTML']})</a>
                        </li>
                    </h:panelGroup>

                </ul>

                <div class="tab-content tab-content-with-border">
                    <div role="tabpanel" class="tab-pane active" id="requestxml">
                        <gdk:insert
                                content="#{transactionInstanceDisplay.displayFormattedXML(transactionInstanceDisplay.selectedInstance.request)}"
                                highlight="xml"/>
                    </div>
                    <h:panelGroup rendered="#{not transactionInstanceDisplay.isSoapMessage()}">
                        <div role="tabpanel" class="tab-pane" id="requesttext">
                            <h:outputText
                                    value="#{transactionInstanceDisplay.displayFormattedHTML(transactionInstanceDisplay.selectedInstance.request, 'REQUEST_HTTP')}"
                                    escape="false"/>
                        </div>
                    </h:panelGroup>
                    <h:panelGroup rendered="#{transactionInstanceDisplay.isSoapMessage()}">
                        <div role="tabpanel" class="tab-pane" id="requesthtml">
                            <h:outputText
                                    value="#{transactionInstanceDisplay.displayFormattedHTML(transactionInstanceDisplay.selectedInstance.request, 'REQUEST_SOAP')}"
                                    escape="false"/>
                        </div>
                    </h:panelGroup>
                </div>
            </ui:define>
            <ui:define name="responseContent">
                <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active">
                        <a href="#responsexml" aria-controls="responsexml" role="tab" data-toggle="tab">#{messages['gazelle.svs.MessageContentXML']})</a>
                    </li>
                    <h:panelGroup rendered="#{not transactionInstanceDisplay.isSoapMessage()}">

                        <li role="presentation">
                            <a href="#responsetext" aria-controls="responsetext" role="tab" data-toggle="tab">#{messages['gazelle.svs.MessageContentHTML']})</a>
                        </li>
                    </h:panelGroup>

                    <h:panelGroup rendered="#{transactionInstanceDisplay.isSoapMessage()}">

                        <li role="presentation">
                            <a href="#responsehtml" aria-controls="responsehtml" role="tab" data-toggle="tab">#{messages['gazelle.svs.MessageContentHTML']})</a>
                        </li>
                    </h:panelGroup>

                </ul>
                <div class="tab-content tab-content-with-border">
                    <div role="tabpanel" class="tab-pane active" id="responsexml">
                        <gdk:insert
                                content="#{transactionInstanceDisplay.displayFormattedXML(transactionInstanceDisplay.selectedInstance.response)}"
                                highlight="xml"/>
                    </div>
                    <h:panelGroup rendered="#{not transactionInstanceDisplay.isSoapMessage()}">
                        <div role="tabpanel" class="tab-pane" id="responsetext">
                            <h:outputText
                                    value="#{transactionInstanceDisplay.displayFormattedHTML(transactionInstanceDisplay.selectedInstance.response, 'RESPONSE_HTTP')}"
                                    escape="false"/>
                        </div>
                    </h:panelGroup>

                    <h:panelGroup rendered="#{transactionInstanceDisplay.isSoapMessage()}">
                        <div role="tabpanel" class="tab-pane" id="responsehtml">
                            <h:outputText
                                    value="#{transactionInstanceDisplay.displayFormattedHTML(transactionInstanceDisplay.selectedInstance.response, 'RESPONSE_SOAP')}"
                                    escape="false"/>
                        </div>
                    </h:panelGroup>

                </div>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>